PCI_STOP_AND_REMOVE_(9)

NAME
pci_stop_and_remove_bus_device - remove a PCI device and any children

SYNOPSIS

void pci_stop_and_remove_bus_device(struct pci_dev * dev);

ARGUMENTS

dev
    the device to remove

DESCRIPTION

Remove a PCI device from the device lists, informing the drivers that the device has been removed. We also remove any subordinate buses and children in a depth-first manner.

For each device we remove, delete the device structure from the device lists, remove the /proc entry, and notify userspace (/sbin/hotplug).

COPYRIGHT